//CUITileEnergy - [2020-04-13 11:57:47]
#ifndef _CUITILEENERGY_H_
#define _CUITILEENERGY_H_

#include "CUITile.h"

/*
0013B5F8 CUITileEnergy::CUITileEnergy()
0013C05C CUITileEnergy::~CUITileEnergy()
0013B680 CUITileEnergy::Render()
0013B684 CUITileEnergy::RenderBase()
0013BD10 CUITileEnergy::Process()
0013BD54 CUITileEnergy::UpdateEnergy(int,uint64_t)
0013BF5C CUITileEnergy::UpdateHeartbeat(int,uint64_t)
0013C008 CUITileEnergy::CreateFragments(int)

*/

class CUITileEnergy : public CUITile {
public:
  CUITileEnergy();                      //0013B5F8
  ~CUITileEnergy();                     //0013C05C
  virtual void Render();                //0013B680
  virtual void RenderBase();            //0013B684
  virtual EUITileAction Process();      //0013BD10
  void UpdateEnergy(int, uint64_t);     //0013BD54
  void UpdateHeartbeat(int, uint64_t);  //0013BF5C
  void CreateFragments(int);            //0013C008
  static int s_iQueuedEnergyLoss;		//00352C84
};

#endif  //_CUITILEENERGY_H_